<script setup lang="ts">
import type { BlogPage } from '@/types/blog';

defineProps<{
  posts: BlogPage[];
  header?: string;
}>();
</script>

<template>
  <SlpContainer>
    <div class="recent-posts">
      <SlpTypography v-if="header" variant="heading2-bold" tag="h2" class="slp-mb-32">
        {{ header }}
      </SlpTypography>
      <div class="cards">
        <BlogPostCard v-for="post in posts" :key="post.content.title" :post="post" />
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.recent-posts {
  display: flex;
  flex-direction: column;
  gap: 16px;
  margin: 64px 0;

  .cards {
    display: grid;
    grid-template-columns: 1fr;
    gap: 30px;
    @media (min-width: $breakpoint-lg) {
      grid-template-columns: repeat(3, 1fr);
    }
  }
}
</style>
